package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.WorkflowType;

public interface WorkflowTypeDAO {
	WorkflowType findById(final int workflowTypeId) throws ObjectNotFoundException;
	WorkflowType findByName(final String name) throws ObjectNotFoundException;
	List<WorkflowType> listAll();
}
